@import "src/@fuse/scss/fuse";

:host {

    .header {
       
        .search-input-wrapper {
            max-width: 480px;
        }

        @include media-breakpoint-down(xs) {
            height: 176px !important;
            min-height: 176px !important;
            max-height: 176px !important;
        }
    }

    .top-bg {
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        left: 0;
        height: 200px ;
        background-image: $top-bg-image;
        background-size: cover;

        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .products-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, .12);
        overflow: auto;

        .mat-header-row {
            min-height: 64px;
        }

        .product {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
        }

        .mat-column-status {
            text-align: center;
            align-items: center;
        }
      
        
        .mat-column-statusColor {
            flex: 0 1 5px;
            padding-left: 4px;
        }

        .mat-column-space {
            flex: 0 1 5px;
            padding-left: 10px;
        }

        .quantity-indicator {
            display: inline-block;
            vertical-align: middle;
            width: 8px;
            height: 8px;
            border-radius: 4px;
            margin-right: 8px;

            & + span {
                display: inline-block;
                vertical-align: middle;
            }
        }

        .active-icon {
            border-radius: 50%;
        }
    }
    //add here
    .example-container {
        display: flex;
        flex-direction: column;
        max-height: 500px;
        min-width: 300px;
      }
      
      .mat-table {
        overflow: auto;
        max-height: 500px;
      }
      
      .element-row {
        position: relative;
        overflow: initial;
      }
      
      .element-row:not(.expanded) {
        cursor: pointer;
      }
      
      .element-row:not(.expanded):hover {
        background: #f5f5f5;
      }
      
      .element-row.expanded {
        border-bottom-color: transparent;
      }
      .mat-row-detail-button{
        background-color: #f5f5f5;
      }

      .header-color {
        background-color: rgb(220, 220, 220);
      }

      .mat-row-detail {
        position: relative;
        cursor: pointer;
        padding: 0px 0px 0px 0px;
        background-color: gainsboro;

        .mat-cell {
            min-width: 0;

            &.mat-column-detail-button {
                flex: 0 1 auto;
                padding: 0 24px 0 0;
                @include media-breakpoint('gt-md') {
                    display: none;
                }
            }
        }
    }
}